Summary: Graphical predictive text entry system
Name: dasher
Version: 4.4.0
Release: %mkrel 1
License: GPL
Group: Accessibility
URL: http://www.infer-ence.phy.cam.ac.uk/dasher/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: expat-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libwnck-devel >= 2.10.0
BuildRequires: gnome-speech-devel
BuildRequires: at-spi-devel
BuildRequires: libcanna-devel
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils libxslt-proc
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description 
Dasher is an information-efficient text-entry interface, driven by natural 
continuous pointing gestures. Dasher is a  competitive  text-entry
system wherever a full-size keyboard cannot be used.

%prep
%setup -q

%build

%configure2_5x 

%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
rm -rf %buildroot/var/lib/scrollkeeper

%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done


desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot%_miconsdir
install -m 644 -D Data/%name.png %buildroot%_liconsdir/%name.png
convert -scale 32 Data/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 Data/%name.png %buildroot%_miconsdir/%name.png

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{update_desktop_database}
%post_install_gconf_schemas dasher

%preun
%preun_uninstall_gconf_schemas dasher

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_desktop_database}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/dasher.schemas
%{_bindir}/*
%{_datadir}/applications/dasher.desktop
%{_datadir}/dasher
%_datadir/icons/hicolor/scalable/apps/dasher.svg
%_datadir/icons/hicolor/48x48/apps/dasher.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png
%{_mandir}/man1/*
%{_datadir}/omf/dasher/dasher-C.omf


%changelog
* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 4.4.0-1mdv2007.1
+ Revision: 142016
- new version

* Sun Feb 25 2007 Götz Waschk <waschk@mandriva.org> 4.3.5-1mdv2007.1
+ Revision: 125676
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 4.3.4-1mdv2007.1
+ Revision: 120127
- new version

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 4.3.3-1mdv2007.1
+ Revision: 99072
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 4.3.2-1mdv2007.1
+ Revision: 90710
- new version
- drop patch

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 4.3.1-2mdv2007.1
+ Revision: 87921
- bot rebuild
- new version
- patch to fix build
- depend on libcanna
- add gconf and scrollkeeper stuff

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 4.2.2-1mdv2007.1
+ Revision: 86307
- new version

* Wed Oct 25 2006 Götz Waschk <waschk@mandriva.org> 4.2.1-1mdv2007.0
+ Revision: 72573
- Import dasher



* Wed Oct 25 2006 Götz Waschk <waschk@mandriva.org> 4.2.1-1mdv2007.1
- New version 4.2.1

* Sun Sep 03 2006 Götz Waschk <waschk@mandriva.org> 4.2.0-1mdv2007.0
- New release 4.2.0

* Thu Aug 24 2006 Gtz Waschk <waschk@mandriva.org> 4.1.10-2mdv2007.0
- fix buildrequires

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 4.1.10-1mdv2007.0
- New release 4.1.10

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 4.1.9-1mdv2007.0
- New release 4.1.9

* Mon Aug  7 2006 Gtz Waschk <waschk@mandriva.org> 4.1.8-3mdv2007.0
- fix buildrequires

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 4.1.8-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 4.1.8-1
- New release 4.1.8

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 4.1.7-1mdv2007.0
- New release 4.1.7

* Thu Jun 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 4.1.4-2mdv2007.0
- Fix menu entry

* Thu Jun 29 2006 Jerome Soyer <saispo@mandriva.org> 4.1.4-1mdv2007.0
- Release 4.1.4
- XDG Menu

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 4.1.0-1mdv2007.0
- Release 4.1.0

* Sun Apr 02 2006 Götz Waschk <waschk@mandriva.org> 4.0.2-1mdk
- New release 4.0.2

* Sat Mar 18 2006 Götz Waschk <waschk@mandriva.org> 4.0.1-1mdk
- New release 4.0.1

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 4.0.0-1mdk
- New release 4.0.0

* Sun Feb 26 2006 Gtz Waschk <waschk@mandriva.org> 3.99.5-1mdk
- update file list
- New release 3.99.5

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 3.99.4-1mdk
- New release 3.99.4

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 3.99.3-1mdk
- New release 3.99.3

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 3.99.2-1mdk
- update file list
- New release 3.99.2

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 3.99.1-1mdk
- New release 3.99.1
- use mkrel

* Mon Jan 09 2006 Marcel Pol <mpol@mandriva.org> 3.2.18-3mdk
- rebuild for new openssl

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 3.2.18-2mdk
- rebuild for new libwnck

* Mon Sep 05 2005 Götz Waschk <waschk@mandriva.org> 3.2.18-1mdk
- New release 3.2.18

* Sun Aug 28 2005 Götz Waschk <waschk@mandriva.org> 3.2.17-1mdk
- New release 3.2.17

* Tue Aug 23 2005 Gtz Waschk <waschk@mandriva.org> 3.2.16-1mdk
- fix icon
- replace prereq
- New release 3.2.16

* Mon May 09 2005 Frederic Crozat <fcrozat@mandriva.com> 3.2.15-3mdk 
- Remove patch0 (not needed with libwnck 2.10.x)

* Mon Apr 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.15-2mdk 
- fix build (Mdk bug #15367)
- Patch0 (CVS): use old libwnck API 

* Wed Mar 09 2005 Götz Waschk <waschk@linux-mandrake.com> 3.2.15-1mdk
- New release 3.2.15

* Thu Feb  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 3.2.13-2mdk
- fix buildrequires

* Sun Jan 30 2005 Goetz Waschk <waschk@linux-mandrake.com> 3.2.13-1mdk
- New release 3.2.13

* Wed Jan 12 2005 Goetz Waschk <waschk@linux-mandrake.com> 3.2.12-1mdk
- New release 3.2.12

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.11-3mdk 
- Rebuild with latest howl

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 3.2.11-2mdk
- Fix BuildRequires

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.11-1mdk
- New release 3.2.11

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.10-3mdk
- Fix menu

* Fri Jul 23 2004 Michael Scherer <misc@mandrake.org> 3.2.10-2mdk 
- rebuild with new gcc

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.10-1mdk
- New release 3.2.10

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.9-1mdk
- New release 3.2.9

* Thu Feb 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.3-1mdk
- Release 3.2.3

* Thu Jan 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.2-1mdk
- Release 3.2.2

* Tue Jan 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.1-2mdk
- Add documentation
- enforce gnome-speech dependency

* Fri Dec 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.1-1mdk
- First Mandrake package
